/***
*Acall.cpp - Call alternate tax/transfer calculator
*
*$Id: ACALL.cpp 6.87 2007/09/18 17:23:43 hickcha Exp $
*
*   SPSD/M Copyright (c) 1987-1989, Minister of Regional Industrial Expansion.
*   All rights reserved.  Use, reproduction, or disclosure of this work,
*   as well as publication of results derived from this work, are subject
*   to the conditions specified in the SPSD/M License Agreement.
*
*Purpose:
*   This file contains the definition of the .c function.
*
*Revisions:
* +-----+----------+---------------------------------------------------------+
* | Who |   Date   | Description                                             |
* +-----+----------+---------------------------------------------------------+
* | TCB | 98/05/28 | Renamed *.cpp, ANSI function headers                    |
* | SFG | 90/03/20 | Created                                                 |
* |     |          |                                                         |
* +-----+----------+---------------------------------------------------------+
*
*Definitions:
*   Acall    [global]  Call alternate tax/transfer calculator
*
*****************************************************************************/


/* ==================== C-RUNTIME LIBRARY INCLUDE FILES =================== */

#include <stdio.h>  /* definitions/declarations for standard I/O routines   */


/* ==================== SPSD/M INCLUDE FILES ============================== */

#include "spsm.h"   /* SPSM common manifest constants and macros            */
#include "sub.h"    /* Subroutine library declarations                      */
#include "vsu.h"    /* Household variable sub-structure (user's)            */
#include "vs.h"     /* Household variable structure and sub-structures      */
#include "mpu.h"    /* Tax/transfer parameter declarations (user's)         */
#include "mp.h"     /* Tax/transfer parameter declarations                  */


/* ==================== GLOBAL VARIABLE DEFINITIONS ======================= */

/* Give global string describing version of this module */

/*global*/ char FAR Tcall[] = "$Revision: 6.87 $"
#ifdef _MSC_VER
" [" __TIMESTAMP__ "]"
#endif
;


/* ==================== COMPILER PRAGMAS ================================== */

#ifdef MSCOVL
#pragma alloc_text(MODEL_TEXT,Acall)
#endif


/* ==================== FUNCTION DEFINITIONS ============================== */


/*****************************************************************************
*Acall - Call alternate tax/transfer calculator
*
*Synopsis:
*    void Acall(          
*    P_hh hh              
*    )                    
*
*Description:
*   This routine is supplied to allow database fiddleing in glass-box mode.
*
*Return Value:
*   None.
*
*Calls:
*   Adrv     Alternate tax/transfer calculator
*
*Called by:
*   drvcall  Call driver and do requested marginal calculations
*
*****************************************************************************/
void Acall(
	register P_hh hh
)
{
	DEBUG_ON("Acall");

	/* perform database fiddling stuff here */

	/* call the alternate tax/transfer calculator */
	Adrv(hh);

	/* undo database fiddling here */

	DEBUG_OFF("Acall");
}

